function battle_sai019(npcID)       --大长老

			
	local n=flag.GetBattleValue(16001)
	n=n+1
	flag.SetBattleValue(16001,n)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	if n==1 then
		battle.BeginSummon()
		battle.AddNpc(10133,3)
		battle.AddNpc(10134,2)
		global.Wait(3)
		battle.Skip()
	else
		if battle.CheckNpcPlace(2)==0 then
			id=battle.GetPlaceNpcID(2)
			if npc.GetHP(id,1)<30 then
				battle.MagicToNpc(id,270,1)
				return
			end
		end
		if battle.CheckNpcPlace(3)==0 then
			id=battle.GetPlaceNpcID(3)
			if npc.GetHP(id,1)<30 then
				battle.MagicToNpc(id,270,1)
				return
			end
		end
		local m=flag.GetBattleValue(16002)
		local a=battle.GetRndNumber(1,10)
		if a>=1 and a<=3 then
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1480,1)
		elseif a>=4 and a<=5 then
			battle.MagicToPlayer(0,1481,1)
		elseif a>=6 and a<=7 then
			battle.MagicToPlayer(0,1482,1)
		elseif a>=8 and a<=9 then
			battle.MagicToPlayer(0,1483,1)
		else
			battle.MagicToPlayer(0,1484,1)
		end
	end
end